<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.AstBuilder Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1AstBuilder.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.ast.AstBuilder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.AstBuilder:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1AstBuilder__inherit__graph.svg" width="151" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.AstBuilder:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1AstBuilder__coll__graph.svg" width="151" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaf35e2f9d395c99a38e6bb6f9b5dd047"><td class="memItemLeft" align="right" valign="top"><a id="aaf35e2f9d395c99a38e6bb6f9b5dd047"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, token_stream, filename, in_class='', visibility=None, namespace_stack=[])</td></tr>
<tr class="separator:aaf35e2f9d395c99a38e6bb6f9b5dd047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e610662018d674f6c57ef19254cc470"><td class="memItemLeft" align="right" valign="top"><a id="a3e610662018d674f6c57ef19254cc470"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>HandleError</b> (self, msg, token)</td></tr>
<tr class="separator:a3e610662018d674f6c57ef19254cc470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebd0392eee56def849468af5b93b720a"><td class="memItemLeft" align="right" valign="top"><a id="aebd0392eee56def849468af5b93b720a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>Generate</b> (self)</td></tr>
<tr class="separator:aebd0392eee56def849468af5b93b720a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add6826421ce64546a7dbb9b2e699a4d4"><td class="memItemLeft" align="right" valign="top"><a id="add6826421ce64546a7dbb9b2e699a4d4"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>GetScope</b> (self)</td></tr>
<tr class="separator:add6826421ce64546a7dbb9b2e699a4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327957c4228325fc5f64821b047bdc6f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1AstBuilder.html#a327957c4228325fc5f64821b047bdc6f">GetName</a> (self, seq=None)</td></tr>
<tr class="separator:a327957c4228325fc5f64821b047bdc6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af22fb880867876144d20818391ad267a"><td class="memItemLeft" align="right" valign="top"><a id="af22fb880867876144d20818391ad267a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>GetMethod</b> (self, modifiers, templated_types)</td></tr>
<tr class="separator:af22fb880867876144d20818391ad267a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5a5e19e5be6501d351891cc0ead5f53"><td class="memItemLeft" align="right" valign="top"><a id="ac5a5e19e5be6501d351891cc0ead5f53"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_bool</b> (self)</td></tr>
<tr class="separator:ac5a5e19e5be6501d351891cc0ead5f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfbb93646d0d32b39a19f3c70cc031f8"><td class="memItemLeft" align="right" valign="top"><a id="adfbb93646d0d32b39a19f3c70cc031f8"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_char</b> (self)</td></tr>
<tr class="separator:adfbb93646d0d32b39a19f3c70cc031f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f824335dd53e12a76d6f91ab69c627c"><td class="memItemLeft" align="right" valign="top"><a id="a6f824335dd53e12a76d6f91ab69c627c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_int</b> (self)</td></tr>
<tr class="separator:a6f824335dd53e12a76d6f91ab69c627c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f56b25e6bed18aa955f8cad462d2f9"><td class="memItemLeft" align="right" valign="top"><a id="a08f56b25e6bed18aa955f8cad462d2f9"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_long</b> (self)</td></tr>
<tr class="separator:a08f56b25e6bed18aa955f8cad462d2f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf11f377386bdb44fe1094ff8adf9142"><td class="memItemLeft" align="right" valign="top"><a id="adf11f377386bdb44fe1094ff8adf9142"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_short</b> (self)</td></tr>
<tr class="separator:adf11f377386bdb44fe1094ff8adf9142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1bd68af800dafcafdfa56e474f9d642"><td class="memItemLeft" align="right" valign="top"><a id="ad1bd68af800dafcafdfa56e474f9d642"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_double</b> (self)</td></tr>
<tr class="separator:ad1bd68af800dafcafdfa56e474f9d642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe3f6d67124181a8cd2665a4562d4f6"><td class="memItemLeft" align="right" valign="top"><a id="aabe3f6d67124181a8cd2665a4562d4f6"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_float</b> (self)</td></tr>
<tr class="separator:aabe3f6d67124181a8cd2665a4562d4f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8f94909d4080bad2bc5dabd934057b"><td class="memItemLeft" align="right" valign="top"><a id="a7a8f94909d4080bad2bc5dabd934057b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_void</b> (self)</td></tr>
<tr class="separator:a7a8f94909d4080bad2bc5dabd934057b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ec65909aea14f45709733d631aed57b"><td class="memItemLeft" align="right" valign="top"><a id="a4ec65909aea14f45709733d631aed57b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_wchar_t</b> (self)</td></tr>
<tr class="separator:a4ec65909aea14f45709733d631aed57b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793123ea878db159de1662c10bdae897"><td class="memItemLeft" align="right" valign="top"><a id="a793123ea878db159de1662c10bdae897"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_unsigned</b> (self)</td></tr>
<tr class="separator:a793123ea878db159de1662c10bdae897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61c1e82b2b4fdc337cf360e485851390"><td class="memItemLeft" align="right" valign="top"><a id="a61c1e82b2b4fdc337cf360e485851390"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_signed</b> (self)</td></tr>
<tr class="separator:a61c1e82b2b4fdc337cf360e485851390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadfad5b8d50962c04504e806dc0f5b6c"><td class="memItemLeft" align="right" valign="top"><a id="aadfad5b8d50962c04504e806dc0f5b6c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_struct</b> (self)</td></tr>
<tr class="separator:aadfad5b8d50962c04504e806dc0f5b6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b3fbfb21c6e23f04fd596d590f93eee"><td class="memItemLeft" align="right" valign="top"><a id="a9b3fbfb21c6e23f04fd596d590f93eee"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_union</b> (self)</td></tr>
<tr class="separator:a9b3fbfb21c6e23f04fd596d590f93eee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341a6ffabadd444a345c8c98a611774c"><td class="memItemLeft" align="right" valign="top"><a id="a341a6ffabadd444a345c8c98a611774c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_enum</b> (self)</td></tr>
<tr class="separator:a341a6ffabadd444a345c8c98a611774c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb490894f17a6c34fbe6bb8f7a2e626"><td class="memItemLeft" align="right" valign="top"><a id="a0cb490894f17a6c34fbe6bb8f7a2e626"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_auto</b> (self)</td></tr>
<tr class="separator:a0cb490894f17a6c34fbe6bb8f7a2e626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a890e7764fc5fd8ad2da3a62e436278a0"><td class="memItemLeft" align="right" valign="top"><a id="a890e7764fc5fd8ad2da3a62e436278a0"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_register</b> (self)</td></tr>
<tr class="separator:a890e7764fc5fd8ad2da3a62e436278a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d24135000a6fb4a3daabb5ab8883648"><td class="memItemLeft" align="right" valign="top"><a id="a9d24135000a6fb4a3daabb5ab8883648"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_const</b> (self)</td></tr>
<tr class="separator:a9d24135000a6fb4a3daabb5ab8883648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2eb0c18c07584ef246a46865a17ec40"><td class="memItemLeft" align="right" valign="top"><a id="ab2eb0c18c07584ef246a46865a17ec40"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_inline</b> (self)</td></tr>
<tr class="separator:ab2eb0c18c07584ef246a46865a17ec40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49039750d971240a270606f0608c1ff0"><td class="memItemLeft" align="right" valign="top"><a id="a49039750d971240a270606f0608c1ff0"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_extern</b> (self)</td></tr>
<tr class="separator:a49039750d971240a270606f0608c1ff0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad98bc262537d2882adc2017023cef6aa"><td class="memItemLeft" align="right" valign="top"><a id="ad98bc262537d2882adc2017023cef6aa"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_static</b> (self)</td></tr>
<tr class="separator:ad98bc262537d2882adc2017023cef6aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44710dc0b8e5bdbecaa56f7c4b59c046"><td class="memItemLeft" align="right" valign="top"><a id="a44710dc0b8e5bdbecaa56f7c4b59c046"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_virtual</b> (self)</td></tr>
<tr class="separator:a44710dc0b8e5bdbecaa56f7c4b59c046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dfb23ddeb05e1017b3d1ce85a40cacb"><td class="memItemLeft" align="right" valign="top"><a id="a2dfb23ddeb05e1017b3d1ce85a40cacb"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_volatile</b> (self)</td></tr>
<tr class="separator:a2dfb23ddeb05e1017b3d1ce85a40cacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a642353cfe2cddd1a60cbb1011df787"><td class="memItemLeft" align="right" valign="top"><a id="a6a642353cfe2cddd1a60cbb1011df787"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_mutable</b> (self)</td></tr>
<tr class="separator:a6a642353cfe2cddd1a60cbb1011df787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e69925578e0ee0a2b7aeb219eda449b"><td class="memItemLeft" align="right" valign="top"><a id="a1e69925578e0ee0a2b7aeb219eda449b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_public</b> (self)</td></tr>
<tr class="separator:a1e69925578e0ee0a2b7aeb219eda449b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4ff62142927f8f245a2030b444676ee"><td class="memItemLeft" align="right" valign="top"><a id="aa4ff62142927f8f245a2030b444676ee"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_protected</b> (self)</td></tr>
<tr class="separator:aa4ff62142927f8f245a2030b444676ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc5f9563f5ead3abba5a71187162867"><td class="memItemLeft" align="right" valign="top"><a id="a8bc5f9563f5ead3abba5a71187162867"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_private</b> (self)</td></tr>
<tr class="separator:a8bc5f9563f5ead3abba5a71187162867"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f7d81019317c6ccfd492bd2c0c9579"><td class="memItemLeft" align="right" valign="top"><a id="ab9f7d81019317c6ccfd492bd2c0c9579"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_friend</b> (self)</td></tr>
<tr class="separator:ab9f7d81019317c6ccfd492bd2c0c9579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7577b3a2bd22c1bccb656493de379f3"><td class="memItemLeft" align="right" valign="top"><a id="ab7577b3a2bd22c1bccb656493de379f3"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_static_cast</b> (self)</td></tr>
<tr class="separator:ab7577b3a2bd22c1bccb656493de379f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dae74f1d036f63fc1080962ab0208fc"><td class="memItemLeft" align="right" valign="top"><a id="a4dae74f1d036f63fc1080962ab0208fc"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_const_cast</b> (self)</td></tr>
<tr class="separator:a4dae74f1d036f63fc1080962ab0208fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a659b5ad02ffebe26c1496a319128fbd1"><td class="memItemLeft" align="right" valign="top"><a id="a659b5ad02ffebe26c1496a319128fbd1"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_dynamic_cast</b> (self)</td></tr>
<tr class="separator:a659b5ad02ffebe26c1496a319128fbd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d75904ba7487c7966d073aaa3d74e9"><td class="memItemLeft" align="right" valign="top"><a id="a06d75904ba7487c7966d073aaa3d74e9"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_reinterpret_cast</b> (self)</td></tr>
<tr class="separator:a06d75904ba7487c7966d073aaa3d74e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f5769e0460524691ae0d135d30f101"><td class="memItemLeft" align="right" valign="top"><a id="a86f5769e0460524691ae0d135d30f101"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_new</b> (self)</td></tr>
<tr class="separator:a86f5769e0460524691ae0d135d30f101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b7a781afe524bebdf42bdeb4766507"><td class="memItemLeft" align="right" valign="top"><a id="aa5b7a781afe524bebdf42bdeb4766507"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_delete</b> (self)</td></tr>
<tr class="separator:aa5b7a781afe524bebdf42bdeb4766507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808eb3d955ca2e3a957abb35dc577c66"><td class="memItemLeft" align="right" valign="top"><a id="a808eb3d955ca2e3a957abb35dc577c66"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_typedef</b> (self)</td></tr>
<tr class="separator:a808eb3d955ca2e3a957abb35dc577c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30cfc1a3a455310a9ccac885d2d0d7c"><td class="memItemLeft" align="right" valign="top"><a id="ac30cfc1a3a455310a9ccac885d2d0d7c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_typeid</b> (self)</td></tr>
<tr class="separator:ac30cfc1a3a455310a9ccac885d2d0d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b7b3bb4f47f67052b04e5da173d1c6b"><td class="memItemLeft" align="right" valign="top"><a id="a4b7b3bb4f47f67052b04e5da173d1c6b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_typename</b> (self)</td></tr>
<tr class="separator:a4b7b3bb4f47f67052b04e5da173d1c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f4d74520697ec05eb6b549daada5a5d"><td class="memItemLeft" align="right" valign="top"><a id="a0f4d74520697ec05eb6b549daada5a5d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_template</b> (self)</td></tr>
<tr class="separator:a0f4d74520697ec05eb6b549daada5a5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad480255644817388b81b05acc4aa9c9a"><td class="memItemLeft" align="right" valign="top"><a id="ad480255644817388b81b05acc4aa9c9a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_true</b> (self)</td></tr>
<tr class="separator:ad480255644817388b81b05acc4aa9c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe125e384026baf74b55593b254fc10c"><td class="memItemLeft" align="right" valign="top"><a id="afe125e384026baf74b55593b254fc10c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_false</b> (self)</td></tr>
<tr class="separator:afe125e384026baf74b55593b254fc10c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf6ec42d567cd85a9bad77772c381a4e"><td class="memItemLeft" align="right" valign="top"><a id="acf6ec42d567cd85a9bad77772c381a4e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_asm</b> (self)</td></tr>
<tr class="separator:acf6ec42d567cd85a9bad77772c381a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93bd39632593bec36972355b7e1893e0"><td class="memItemLeft" align="right" valign="top"><a id="a93bd39632593bec36972355b7e1893e0"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_class</b> (self)</td></tr>
<tr class="separator:a93bd39632593bec36972355b7e1893e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6dde01c5f9ac7ba3b14dff01cac66e4"><td class="memItemLeft" align="right" valign="top"><a id="ae6dde01c5f9ac7ba3b14dff01cac66e4"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_namespace</b> (self)</td></tr>
<tr class="separator:ae6dde01c5f9ac7ba3b14dff01cac66e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a785563f31bc3ed9559d9ce2854a83f1b"><td class="memItemLeft" align="right" valign="top"><a id="a785563f31bc3ed9559d9ce2854a83f1b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_using</b> (self)</td></tr>
<tr class="separator:a785563f31bc3ed9559d9ce2854a83f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a568860050542b53d3df9cf479f2a5e1c"><td class="memItemLeft" align="right" valign="top"><a id="a568860050542b53d3df9cf479f2a5e1c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_explicit</b> (self)</td></tr>
<tr class="separator:a568860050542b53d3df9cf479f2a5e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad96a39776b5439fa9a5c2989f8da20cd"><td class="memItemLeft" align="right" valign="top"><a id="ad96a39776b5439fa9a5c2989f8da20cd"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_this</b> (self)</td></tr>
<tr class="separator:ad96a39776b5439fa9a5c2989f8da20cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca1318675b9eff41cb4a838d63eb6e6"><td class="memItemLeft" align="right" valign="top"><a id="a7ca1318675b9eff41cb4a838d63eb6e6"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_operator</b> (self)</td></tr>
<tr class="separator:a7ca1318675b9eff41cb4a838d63eb6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfd733ff9115e3292bea10e160bb6184"><td class="memItemLeft" align="right" valign="top"><a id="acfd733ff9115e3292bea10e160bb6184"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_sizeof</b> (self)</td></tr>
<tr class="separator:acfd733ff9115e3292bea10e160bb6184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4f02e1ba7df670086e4c9dabdb21458"><td class="memItemLeft" align="right" valign="top"><a id="ac4f02e1ba7df670086e4c9dabdb21458"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_case</b> (self)</td></tr>
<tr class="separator:ac4f02e1ba7df670086e4c9dabdb21458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dffcdf7154158461a652c5b885bfa19"><td class="memItemLeft" align="right" valign="top"><a id="a1dffcdf7154158461a652c5b885bfa19"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_switch</b> (self)</td></tr>
<tr class="separator:a1dffcdf7154158461a652c5b885bfa19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf895d948d231ffcd058df7af05d0be"><td class="memItemLeft" align="right" valign="top"><a id="a6bf895d948d231ffcd058df7af05d0be"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_default</b> (self)</td></tr>
<tr class="separator:a6bf895d948d231ffcd058df7af05d0be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39f2561dfcf36485b2050dff258ece2b"><td class="memItemLeft" align="right" valign="top"><a id="a39f2561dfcf36485b2050dff258ece2b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_if</b> (self)</td></tr>
<tr class="separator:a39f2561dfcf36485b2050dff258ece2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb676b03467a93454be018ac243f89a2"><td class="memItemLeft" align="right" valign="top"><a id="aeb676b03467a93454be018ac243f89a2"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_else</b> (self)</td></tr>
<tr class="separator:aeb676b03467a93454be018ac243f89a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8330d1f34d40b0e82495ec794575289d"><td class="memItemLeft" align="right" valign="top"><a id="a8330d1f34d40b0e82495ec794575289d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_return</b> (self)</td></tr>
<tr class="separator:a8330d1f34d40b0e82495ec794575289d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8504d788bb1541ee581918d52d1f4132"><td class="memItemLeft" align="right" valign="top"><a id="a8504d788bb1541ee581918d52d1f4132"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_goto</b> (self)</td></tr>
<tr class="separator:a8504d788bb1541ee581918d52d1f4132"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7998f3fdcd046718ff809dbe257645"><td class="memItemLeft" align="right" valign="top"><a id="a6c7998f3fdcd046718ff809dbe257645"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_try</b> (self)</td></tr>
<tr class="separator:a6c7998f3fdcd046718ff809dbe257645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa38687383d0f54d26416054cf2141837"><td class="memItemLeft" align="right" valign="top"><a id="aa38687383d0f54d26416054cf2141837"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_catch</b> (self)</td></tr>
<tr class="separator:aa38687383d0f54d26416054cf2141837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a308ded4a1f87e686b9e11fec31be9"><td class="memItemLeft" align="right" valign="top"><a id="ad4a308ded4a1f87e686b9e11fec31be9"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_throw</b> (self)</td></tr>
<tr class="separator:ad4a308ded4a1f87e686b9e11fec31be9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac812e812ba2e5fbd80dde93be01a414"><td class="memItemLeft" align="right" valign="top"><a id="aac812e812ba2e5fbd80dde93be01a414"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_while</b> (self)</td></tr>
<tr class="separator:aac812e812ba2e5fbd80dde93be01a414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540226b483513b423d4ec2c4f10b18f5"><td class="memItemLeft" align="right" valign="top"><a id="a540226b483513b423d4ec2c4f10b18f5"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_do</b> (self)</td></tr>
<tr class="separator:a540226b483513b423d4ec2c4f10b18f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0025c4d8ca779d69552e0947665eb1c4"><td class="memItemLeft" align="right" valign="top"><a id="a0025c4d8ca779d69552e0947665eb1c4"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_for</b> (self)</td></tr>
<tr class="separator:a0025c4d8ca779d69552e0947665eb1c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b663a3e15e70b9d85bf17afb2bcf07a"><td class="memItemLeft" align="right" valign="top"><a id="a2b663a3e15e70b9d85bf17afb2bcf07a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_break</b> (self)</td></tr>
<tr class="separator:a2b663a3e15e70b9d85bf17afb2bcf07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511eb003ed301a713a687e5293584077"><td class="memItemLeft" align="right" valign="top"><a id="a511eb003ed301a713a687e5293584077"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>handle_continue</b> (self)</td></tr>
<tr class="separator:a511eb003ed301a713a687e5293584077"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a1b21f8bef712e91862ccb6b1147cab0d"><td class="memItemLeft" align="right" valign="top"><a id="a1b21f8bef712e91862ccb6b1147cab0d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>tokens</b></td></tr>
<tr class="separator:a1b21f8bef712e91862ccb6b1147cab0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8b8f5788de55d6c7151e82af8b21115"><td class="memItemLeft" align="right" valign="top"><a id="ad8b8f5788de55d6c7151e82af8b21115"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>filename</b></td></tr>
<tr class="separator:ad8b8f5788de55d6c7151e82af8b21115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae167f12797e7c02c1b60c11c83cdb22f"><td class="memItemLeft" align="right" valign="top"><a id="ae167f12797e7c02c1b60c11c83cdb22f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>token_queue</b></td></tr>
<tr class="separator:ae167f12797e7c02c1b60c11c83cdb22f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab183aa48e4b6e116379f95eb3d11039c"><td class="memItemLeft" align="right" valign="top"><a id="ab183aa48e4b6e116379f95eb3d11039c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>namespace_stack</b></td></tr>
<tr class="separator:ab183aa48e4b6e116379f95eb3d11039c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9edc1e10a3f005b463fd9316d83dd15d"><td class="memItemLeft" align="right" valign="top"><a id="a9edc1e10a3f005b463fd9316d83dd15d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>in_class</b></td></tr>
<tr class="separator:a9edc1e10a3f005b463fd9316d83dd15d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a376583354ab9afa308b7f34105bf3f4a"><td class="memItemLeft" align="right" valign="top"><a id="a376583354ab9afa308b7f34105bf3f4a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>in_class_name_only</b></td></tr>
<tr class="separator:a376583354ab9afa308b7f34105bf3f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f16b19846c405101235432d2666b614"><td class="memItemLeft" align="right" valign="top"><a id="a2f16b19846c405101235432d2666b614"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>visibility</b></td></tr>
<tr class="separator:a2f16b19846c405101235432d2666b614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5ac0612dfff44241033864832dbdfe3"><td class="memItemLeft" align="right" valign="top"><a id="ad5ac0612dfff44241033864832dbdfe3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>in_function</b></td></tr>
<tr class="separator:ad5ac0612dfff44241033864832dbdfe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38579523ccc1ae9d202ac722baea45fc"><td class="memItemLeft" align="right" valign="top"><a id="a38579523ccc1ae9d202ac722baea45fc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>current_token</b></td></tr>
<tr class="separator:a38579523ccc1ae9d202ac722baea45fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8551cf0405bc6e367636b1f3b37d083"><td class="memItemLeft" align="right" valign="top"><a id="ae8551cf0405bc6e367636b1f3b37d083"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>converter</b></td></tr>
<tr class="separator:ae8551cf0405bc6e367636b1f3b37d083"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a327957c4228325fc5f64821b047bdc6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327957c4228325fc5f64821b047bdc6f">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.AstBuilder.GetName </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>seq</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns ([tokens], next_token_info).</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1AstBuilder.html">AstBuilder</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
